Page MenuHomePhabricator

Link to VLC for video/audio on iOS instead of recommending an "HTML5 video browser"
Closed, ResolvedPublic

Description

TimedMediaHandler's player widget, if invoked in Safari on iOS gives a vague recommendation about using an "HTML5 video browser" and clicking again forces a raw file download, neither of which are very helpful as Safari supports HTML5 video just great, only without the codecs we use.

Free & open source VLC for iOS (current version 2.2.2) is back in the standard App Store distribution channels since some months ago, and can now accept requests to stream HTTP URLs by prepending "vlc://" on the link.

Instead of showing the "For best experience, try an HTML5 video player" message we should include an iTunes store link to VLC. Tapping on the playback button should then trigger a VLC streaming URL rather than a direct download.


Version: unspecified
Severity: enhancement
URL: https://itunes.apple.com/app/vlc-for-ios/id650377962

Details

Reference
bz61095

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz61095.
brion created this task.Feb 8 2014, 6:47 PM

Change 144349 had a related patch set uploaded by Brian Wolff:
[WIP; untested] Launch videos in VLC app on iOS if installed

https://gerrit.wikimedia.org/r/144349

Change 144349 merged by Brion VIBBER:
Launch videos in VLC app on iOS if installed

https://gerrit.wikimedia.org/r/144349

Come this time next week, we will be heavily encouraging users who click play on a video on iOS to download the vlc app.

I wonder if we should inform the VLC for iOS devs of this somehow?

brion added a comment.Jul 8 2014, 3:48 PM

(In reply to Bawolff (Brian Wolff) from comment #3)

Come this time next week, we will be heavily encouraging users who click
play on a video on iOS to download the vlc app.

I wonder if we should inform the VLC for iOS devs of this somehow?

Good idea. :) I've dropped a note on their mailing list: https://mailman.videolan.org/pipermail/ios/2014-July/002109.html

Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles raised the priority of this task from Normal to Unbreak Now!.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:23 AM